export default class AwEArchetype extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    const schema = {}

    schema.description = new fields.HTMLField({ required: true, textSearch: true })
    schema.prerequisiteLevel = new fields.NumberField({
      required: true, nullable: false, integer: true, initial: 2, min: 1
    })

    return schema
  }
}
